Retrieve a matching part of a rule

- « Parle\RParser::right

- Parle\RParser::sigilCount »

- PHP Manual
- Parle\RParser
- Retrieve a matching part of a rule

# Parle\RParser::sigil

(PECL parle >= 0.7.0)

Parle\RParser::sigil — Retrieve a matching part of a rule

### Description

public Parle\RParser::sigil(int `$idx` = ?): string

Retrieve a part of the match by a rule. This method is equivalent to the pseudo variable functionality in Bison.

### Parameters

`idx`

  Match index, zero based.

### Return Values

Returns a string with the matched part.